For the complete documentation index, see llms.txt. This page is also available as Markdown.

With option

V2LoginWithOption

post

V2LoginWithOption inside the data you must be passed client_type_id field you must be give environment_id and project_id in body or Environment-Id hearder and project-id in query parameters or X-API-KEY in hearder login strategy must be one of the following values ["EMAIL", "PHONE", "EMAIL_OTP", "PHONE_OTP", "LOGIN", "LOGIN_PWD", "GOOGLE_AUTH", "APPLE_AUTH", "PHONE_PWD", "EMAIL_PWD"]

Query parameters
project-idstringOptional

project-id

Header parameters
Environment-IdstringOptional

Environment-Id

X-API-KEYstringOptional

X-API-KEY

Body
login_strategystringOptional
Responses
201

User data

application/json
custom_messageanyOptional
descriptionstringOptional
statusstringOptional
post/v2/auth/login/with-option
POST /v2/auth/login/with-option HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 119

{
  "data": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "login_strategy": "text",
  "tables": [
    {
      "object_id": "text",
      "table_slug": "text"
    }
  ]
}
{
  "custom_message": null,
  "data": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "description": "text",
  "status": "text"
}